# Class e.p.f.f.FspotDB(log.Loggable):

Part of elisa.plugins.fspot.fspot_media View In Hierarchy

Retrieves tags and videos from the F-spot sqlite database

Line # | Kind | Name | Docs
--- | --- | --- | ---
42 | Method | __init__ | Attempt a connection to the database
55 | Method | get_version | Undocumented
66 | Method | get_hidden_id | Return an id of the 'Hidden' tag
79 | Method | get_tag_with_id | Undocumented
87 | Method | get_tags | Return a list of tags [(tag id, tag name), (..)]
100 | Method | get_photos | Return a list of photos with the given tag
139 | Method | make_indices | Undocumented
145 | Method | drop_indices | Undocumented

def __init__(self, db_path=DEFAULT_DB_PATH):
overrides elisa.core.log.Loggable.__init__
Attempt a connection to the database

def get_version(self):
Undocumented
def get_hidden_id(self):
Return an id of the 'Hidden' tag

Returns | (type: int )

def get_tag_with_id(self, tag_id):
Undocumented
def get_tags(self, tag_id=None):
Return a list of tags [(tag id, tag name), (..)]

Returns | (type: list )

def get_photos(self, tag, hidden):

    Return a list of photos with the given tag
        [(diectory_path, filename), (..)]

    @param tag: the tag id
    @type tag:  int
    @param hidden:    showing hidden photos
    @type hidden:    boolean
    @rtype:     list

def make_indices(self):
Undocumented
def drop_indices(self):
Undocumented